Non più ndiswrapper??

4 risposte [Ultimo messaggio]
Ritratto di lore__
lore__
(Junior)
Offline
Junior
Iscritto: 27/01/2006
Messaggi: 41

Mi è successa una cosa abbastanza sgradevole: dopo aver installato l'ultima patch al kernel, non mi ha più riconosciuto l'adattatore wireless, e di conseguenza non ho più potuto navigare. Vado a rifare tutto il procedimento con ndiswrapper, e quando do il comando "modprobe ndiswrapper" mi dice che non è possibile caricare il modulo perchè non è supportato da Novell.

Avrei alcune domande:

1-Perchè tutto ciò?
2-Come faccio a "depatchare" il kernel? Già ho provato a reinstallare il kernel non patchato ma mi da il solito problema; l'unica per navigare è stata installare di nuovo dal vecchio DVD della suse 10 l'intero sistema in un'altra partizione, ma mi piacerebbe poter tornare a connettermi da quella originale.
3-Pure sulla 10.1 e d'ora in poi verrà proibito ndiswrapper?

Grazie a chi mi saprà rispondere.

Lorenzo

Ritratto di auriga
auriga
(Geek)
Offline
Geek
Iscritto: 23/05/2006
Messaggi: 78

Quote:

2-Come faccio a "depatchare" il kernel? Già ho provato a reinstallare il kernel non patchato ma mi da il solito problema; l'unica per navigare è stata installare di nuovo dal vecchio DVD della suse 10 l'intero sistema in un'altra partizione, ma mi piacerebbe poter tornare a connettermi da quella originale.

Lorenzo

Io no ci ho mai provato comunque su qualche rivista ho letto che se vai /usr/src,

trovi le varie directory in cui sono installate le varie versioni dei kernel,

devi cambiare il link linux indirizzandolo alla versione precedente che avevi del kernel.

[sul mio pc ho anche un link linux-obj comunque indirizza tutti i link che trovi ai link corrispondenti delle versioni precedenti del kernel e se non ci sono io personalmente cancellerei il link.]

infine incrocia le dita!!!

Ritratto di lore__
lore__
(Junior)
Offline
Junior
Iscritto: 27/01/2006
Messaggi: 41

Quindi non ci sono più speranze di usare ndiswrapper con un kernel più aggiornato??

Ritratto di auriga
auriga
(Geek)
Offline
Geek
Iscritto: 23/05/2006
Messaggi: 78

Quote:

lore__ ha scritto:
Quindi non ci sono più speranze di usare ndiswrapper con un kernel più aggiornato??

Questo proprio non lo so, mi spiace
ciao

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

lore__ ha scritto:
Quindi non ci sono più speranze di usare ndiswrapper con un kernel più aggiornato??

In SuSE 10.1 funziona benissimo ndiswrapper e dovrebbe continuare a funzionare anche sulle altre release, dal momento che SuSE non aggiorna la versione del kernel.

Segnala il problema a Novell, anche se essendo un problema legato a ndiswrapper, non sono tenuti a risponderti, come è scritto nella finestrella di Yast che compare quando provi ad installare ndiswrapper.

Ciao

ap Big Grin